/*
 * HF synthesizer
 * base on Si5351x2
 * 9 - bands
 *
 * Lcd_1602.h
 *
 * Author: R9OFG (ex R0AEK)
 * Version - 2.0 beta
 *
 * radio0aek@gmail.com
 * https://r0aek.me
 */ 

#ifndef LCD_1602_H_
#define LCD_1602_H_

#include "Main.h"

//  LCD1602
#define E_1 PORTB |= (1 << PB0)		//  E  1,    PB0
#define E_0 PORTB &= ~(1 << PB0)	//  E  0
#define RS_1 PORTD |= (1 << PD7)	//  RS  1 (),    PD7
#define RS_0 PORTD &= ~(1 << PD7)	//  RS  0 ()

#define PROGRESSPIXELS_PER_CHAR	6

void LCD_send_half_byte (unsigned char c);
void LCD_send_byte (unsigned char c, unsigned char mode);
void LCD_define_char (uint8_t *pc, uint8_t char_code);
void LCD_send_char (unsigned char c);
void LCD_send_str (char str[]);
void LCD_send_str_delay (char str[]);
void LCD_set_pos (unsigned char x, unsigned y);
void LCD_ini (void);

#endif /* LCD_1602_H_ */