/*
 * HF synthesizer
 * base on Si5351x2
 * 9 - bands
 *
 * si5351.h
 *
 * Author: R9OFG (ex R0AEK)
 * Version - 2.0 beta
 *
 * radio0aek@gmail.com
 * https://r0aek.me
 */

#ifndef SI5351A_H
#define SI5351A_H

#include <inttypes.h>

/*  */
#define SI_CLK0_CONTROL		16
#define SI_CLK1_CONTROL		17
#define SI_CLK2_CONTROL		18
#define SI_SYNTH_PLL_A		26
//#define SI_SYNTH_PLL_B	34
#define SI_SYNTH_MS_0		42
//#define SI_SYNTH_MS_1		50
//#define SI_SYNTH_MS_2		58
#define SI_PLL_RESET		177

/* R */
#define SI_R_DIV_1			0b00000000
#define SI_R_DIV_2			0b00010000
#define SI_R_DIV_4			0b00100000
#define SI_R_DIV_8			0b00110000
#define SI_R_DIV_16			0b01000000
#define SI_R_DIV_32			0b01010000
#define SI_R_DIV_64			0b01100000
#define SI_R_DIV_128		0b01110000

#define SI_CLK_SRC_PLL_A	0b00000000
//#define SI_CLK_SRC_PLL_B	0b00100000

#define FREQ_PLLA			900000000
#define ACTUAL_MULTIPLIER	1048575

void si5351aOutputOff(int Value);
void si5351aSetFrequency(uint32_t frequency);

#endif /* SI5351A_H */
